| LicenseSpring Management .Net SDK 1.15.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.ILicenseFeature Interface Reference

LicenseFeature interface. More...

Inheritance diagram for LicenseSpring.ILicenseFeature:

## Public Member Functions
bool | IsExpired ()
| Is license feature expired.
string | ToString ()
| Override Object.ToString.

## Properties
string | Code`[get]`
| Feature code.
System.DateTime | ExpiryDate`[get]`
| It's final end date and time license feature is valid.
System.DateTime | ExpiryDateUtc`[get]`
| It's final end date and time license feature is valid.
LicenseFeature.Type | FeatureType`[get]`
| Feature type.
int | MaxConsumption`[get]`
| Maximum consumption of the feature.
string | Metadata`[get]`
| Feature metadata.
string | Name`[get]`
| Feature name.
int | TotalConsumption`[get]`
| Total consumption of the feature, it includes LocalConsumption.

## Detailed Description

LicenseFeature interface.

## Member Function Documentation

## ◆ IsExpired()

bool LicenseSpring.ILicenseFeature.IsExpired | ( |  | ) |

Is license feature expired.

Returns
  Boolean value indicating whether license feature is expired

Implemented in LicenseSpring.LicenseFeature.

## ◆ ToString()

string LicenseSpring.ILicenseFeature.ToString | ( |  | ) |

Override Object.ToString.

Returns
  A string that represents the current object

Implemented in LicenseSpring.LicenseFeature.

## Property Documentation

## ◆ Code

string LicenseSpring.ILicenseFeature.Code
| get

Feature code.

Implemented in LicenseSpring.LicenseFeature.

## ◆ ExpiryDate

System.DateTime LicenseSpring.ILicenseFeature.ExpiryDate
| get

It's final end date and time license feature is valid.

The DateTime when license feature expires in local time

Implemented in LicenseSpring.LicenseFeature.

## ◆ ExpiryDateUtc

System.DateTime LicenseSpring.ILicenseFeature.ExpiryDateUtc
| get

It's final end date and time license feature is valid.

The DateTime when license feature expires in UTC

Implemented in LicenseSpring.LicenseFeature.

## ◆ FeatureType

LicenseFeature.Type LicenseSpring.ILicenseFeature.FeatureType
| get

Feature type.

Implemented in LicenseSpring.LicenseFeature.

## ◆ MaxConsumption

int LicenseSpring.ILicenseFeature.MaxConsumption
| get

Maximum consumption of the feature.

Meaningful only for consumption feature type.

Implemented in LicenseSpring.LicenseFeature.

## ◆ Metadata

string LicenseSpring.ILicenseFeature.Metadata
| get

Feature metadata.

Implemented in LicenseSpring.LicenseFeature.

## ◆ Name

string LicenseSpring.ILicenseFeature.Name
| get

Feature name.

Implemented in LicenseSpring.LicenseFeature.

## ◆ TotalConsumption

int LicenseSpring.ILicenseFeature.TotalConsumption
| get

Total consumption of the feature, it includes LocalConsumption.

Meaningful only for consumption feature type.

Implemented in LicenseSpring.LicenseFeature.

The documentation for this interface was generated from the following file:

- ILicenseFeature.cs